﻿using RyzStudio.IO;
using RyzStudio.Windows.Forms;
using System.Collections.Generic;

namespace BookmarkManager
{
    public class RYZSupportedFile : SupportedFileBase
    {


        public RYZSupportedFile()
        {
            supportedExtensions = new List<string>() { ".ryz" };
        }


        public override bool IsEncryptionSupported { get; set; } = true;


        public override bool IsEncrypted(string filename) => SharpZipLib.IsZipEncrypted(filename);

        public override Result Load(BookmarkTreeView treeview, string filename, string password)
        {
            return Result.Create(false);
        }

        public override Result Save(BookmarkTreeView treeview, string filename, string password)
        {
            return Result.Create(false);
        }

    }
}
